﻿using System.Reflection;
using System.Runtime.InteropServices;

namespace Spring.Utilities
{
    public static class Constants
    {
#region Static Fields and Constants

        public static readonly string AssemblyGuid =
            ((GuidAttribute) Assembly.GetEntryAssembly()
                                     .GetCustomAttributes(typeof(GuidAttribute), true)[0]).Value;

        public static readonly string AssemblyName = Assembly.GetEntryAssembly()
                                                             .GetName()
                                                             .Name;

        public static readonly string AssemblyVersion = Assembly.GetEntryAssembly()
                                                                .GetName()
                                                                .Version.ToString();

#endregion
    }
}
